API Reference
API Reference

/jobs/:shortcode/questions

Returns the questions for the specified job. Required scope: r_jobs. Accessible with all token types.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Results

Calling the /jobs/:shortcode/questions endpoint returns a JSON array of the job's questions.

keydescription
questionsarray of questions

Each question has the following keys:

keytypedescription
idstringThe question's id
bodystringThe question's body
typestringThe question's type. Possible values are free_text, multiple_choice, boolean, dropdown, numeric, date, file
requiredbooleanSpecifies whether providing an answer for this question is required
single_answerbooleanDefined only if question's type is multiple_choice
choicesarrayDefined only if question's type is multiple_choice or dropdown. An array specifying the possible answers.
choices/idstringThe choice's id
choices/bodystringThe choice's text
supported_file_typesarrayDefined only if question type is file. An array specifying the accepted file types for this question.
max_file_sizeintegerDefined only if question type is file. The maximum file size in bytes.
Path Params
string
required

The job's shortcode

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json